Name:           kensa
Version:        0.1.0
Release:        0
License:        GPLv3
Summary:        Detailed process viewer
Url:            https://invent.kde.org/redstrate/kensa
Source0:        https://invent.kde.org/redstrate/kensa/-/archive/master/kensa-master.tar.gz

BuildRequires:  appstream
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  git

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  libksysguard-devel

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)

%description
Detailed process viewer

%prep
%autosetup -c -p1

%build
cd kensa-master
%cmake_kf6
%cmake_build

%install
cd kensa-master
%cmake_install

%check
desktop-file-validate %{buildroot}%{_kf6_datadir}/applications/org.kde.%{name}.desktop

%files
%doc kensa-master/README.md

%{_kf6_bindir}/%{name}

%{_kf6_datadir}/applications/org.kde.%{name}.desktop

%changelog
%autochangelog
